# AvailableTask.ResourceType

[This is preliminary documentation and subject to change.]

Defines the possible resource checks.

### Fields

Field | Description
--- | ---
Directory | Determines whether a given directory exists.
File | Determines whether a given file exists.
Framework | Determines whether a given framework is available.
FrameworkSDK | Determines whether a given SDK is available.

### Requirements

Assembly: NAnt.Core (0.85.1932.0)